@echo off
rem ---------------------------------------
rem Installation program for DSA-1 Support Software for DOS
rem v0.1 crnh 22.1.96
rem ---------------------------------------
rem 1. Make sure we are logged on to the source drive
rem ---------------------------------------

if %0 == install goto carryOn
if %0 == a:install goto SrcDriveA
if %0 == b:install goto SrcDriveB

:SrcDriveA
a:
goto carryOn

:SrcDriveB
b:
:carryOn

rem ---------------------------------------
rem 1.5  Check for any user options
rem ---------------------------------------
if "%1" == "" goto default1
goto userinst
:default1
if "%2" == "" goto default2
goto userinst

:default2
rem ---------------------------------------
rem 2. Message to announce ourselves
rem ---------------------------------------
cls
echo" DSA-1 Host Support Software (DOS Files)
echo" ---------------------------------------
echo" 
echo" This program will install the DSA-1 Support Software in the 
echo" following directory:
echo" 
echo"    C:\DSADOS
echo" 
echo" If you want the install program to use a different directory, press
echo" Ctrl+Break NOW and type:
echo" 
echo"    INSTALL drive directory [Enter]     or
echo"    INSTALL directory [Enter]     
echo" 
echo" where 'drive' is the drive letter and 'directory' the directory name.
echo" Note that a space should be left between these, e.g.
echo" 
echo"    INSTALL D: DSASTUFF [Enter]      or
echo"    INSTALL DSASTUFF [Enter]    
echo" 
echo" Otherwise please press any key to install in the default directory
echo" 
pause


rem ---------------------------------------
rem 3. Default installation to c:\dsados
rem ---------------------------------------
cd\
md c:\dsados
xcopy dos\*.* c:\dsados /s
cls
echo" DSA-1 Host Support Software (DOS Files)
echo" ---------------------------------------
echo" 
echo" Software installed in C:\DSADOS. 
echo" 
echo" Use TYPE README.TXT |MORE 
echo" 
echo" to display details of the programs installed. 
echo" 
pause
goto End


:userinst
rem ---------------------------------------
rem 4. User installation to a specific directory or drive/directory
rem ---------------------------------------
cls
echo" DSA-1 Host Support Software (DOS Files)
echo" ---------------------------------------
echo" 
cd\
if "%2" == "" goto nosec
md %1\%2
echo" 
echo" Installing software to %1\%2.
echo" 
xcopy dos\*.* %1\%2 /s
%1
goto done 
                 
:nosec
rem ---------------------------------------
rem 5. Only one parameter, assume it is directory
rem ---------------------------------------
md c:\%1
echo" 
echo" Installing software to c:\%1.
echo" 
xcopy dos\*.* c:\%1 /s
c:
cls
echo" DSA-1 Host Support Software (DOS Files)
echo" ---------------------------------------
echo" 
echo" Software installed in c:\%1
goto done2

:done
cls
echo" DSA-1 Host Support Software (DOS Files)
echo" ---------------------------------------
echo" 
echo" Software installed in %1\%2

:done2
rem ---------------------------------------
rem  6. The end of the procedure
rem ---------------------------------------
echo" 
echo" Use TYPE README.TXT |MORE 
echo" 
echo" to display further details of the programs installed. 
echo" 
pause
goto End


:End
rem ---------------------------------------
rem 5. END OF INSTALLATION BATCH FILE
rem ---------------------------------------
c:
cls
